#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file 'src/kstreamripperbase.ui'
**
** Created: Sat Jan 26 04:23:20 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "src/kstreamripperbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qheader.h>
#include <qlistview.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KStreamRipperBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KStreamRipperBase::KStreamRipperBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KStreamRipperBase" );
    KStreamRipperBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KStreamRipperBaseLayout"); 
    spacer1 = new QSpacerItem( 31, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    KStreamRipperBaseLayout->addMultiCell( spacer1, 5, 5, 0, 1 );

    m_favoriteLabel = new QLabel( this, "m_favoriteLabel" );

    KStreamRipperBaseLayout->addMultiCellWidget( m_favoriteLabel, 0, 0, 0, 1 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    m_aboutButton = new QPushButton( this, "m_aboutButton" );
    layout10->addWidget( m_aboutButton );

    m_quitButton = new QPushButton( this, "m_quitButton" );
    layout10->addWidget( m_quitButton );

    KStreamRipperBaseLayout->addLayout( layout10, 6, 1 );
    spacer5 = new QSpacerItem( 421, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    KStreamRipperBaseLayout->addItem( spacer5, 6, 0 );

    m_streamsGroup = new QButtonGroup( this, "m_streamsGroup" );
    m_streamsGroup->setColumnLayout(0, Qt::Vertical );
    m_streamsGroup->layout()->setSpacing( 6 );
    m_streamsGroup->layout()->setMargin( 11 );
    m_streamsGroupLayout = new QGridLayout( m_streamsGroup->layout() );
    m_streamsGroupLayout->setAlignment( Qt::AlignTop );

    m_addStreamButton = new QPushButton( m_streamsGroup, "m_addStreamButton" );

    m_streamsGroupLayout->addWidget( m_addStreamButton, 0, 0 );

    m_deleteStreamButton = new QPushButton( m_streamsGroup, "m_deleteStreamButton" );
    m_deleteStreamButton->setEnabled( FALSE );

    m_streamsGroupLayout->addWidget( m_deleteStreamButton, 0, 1 );

    m_stopRipButton = new QPushButton( m_streamsGroup, "m_stopRipButton" );
    m_stopRipButton->setEnabled( FALSE );
    m_stopRipButton->setOn( FALSE );

    m_streamsGroupLayout->addWidget( m_stopRipButton, 0, 4 );

    m_tuneInButton = new QPushButton( m_streamsGroup, "m_tuneInButton" );
    m_tuneInButton->setEnabled( FALSE );

    m_streamsGroupLayout->addWidget( m_tuneInButton, 0, 2 );

    m_ripButton = new QPushButton( m_streamsGroup, "m_ripButton" );
    m_ripButton->setEnabled( FALSE );

    m_streamsGroupLayout->addWidget( m_ripButton, 0, 3 );

    KStreamRipperBaseLayout->addMultiCellWidget( m_streamsGroup, 3, 3, 0, 1 );

    m_streamsListView = new QListView( this, "m_streamsListView" );
    m_streamsListView->setAllColumnsShowFocus( TRUE );
    m_streamsListView->setResizeMode( QListView::AllColumns );
    m_streamsListView->setDefaultRenameAction( QListView::Reject );

    KStreamRipperBaseLayout->addMultiCellWidget( m_streamsListView, 1, 1, 0, 1 );

    m_settingsGroup = new QGroupBox( this, "m_settingsGroup" );
    m_settingsGroup->setMouseTracking( FALSE );
    m_settingsGroup->setColumnLayout(0, Qt::Vertical );
    m_settingsGroup->layout()->setSpacing( 6 );
    m_settingsGroup->layout()->setMargin( 11 );
    m_settingsGroupLayout = new QGridLayout( m_settingsGroup->layout() );
    m_settingsGroupLayout->setAlignment( Qt::AlignTop );

    m_pathLabel = new QLabel( m_settingsGroup, "m_pathLabel" );

    m_settingsGroupLayout->addWidget( m_pathLabel, 0, 0 );

    m_timeToRip = new QLabel( m_settingsGroup, "m_timeToRip" );

    m_settingsGroupLayout->addWidget( m_timeToRip, 1, 0 );

    m_id3Label = new QLabel( m_settingsGroup, "m_id3Label" );

    m_settingsGroupLayout->addWidget( m_id3Label, 0, 3 );

    m_id3Checkbox = new QCheckBox( m_settingsGroup, "m_id3Checkbox" );
    m_id3Checkbox->setChecked( TRUE );

    m_settingsGroupLayout->addWidget( m_id3Checkbox, 0, 4 );

    m_tuneInLabel = new QLabel( m_settingsGroup, "m_tuneInLabel" );

    m_settingsGroupLayout->addWidget( m_tuneInLabel, 2, 0 );

    m_secondsLabel = new QLabel( m_settingsGroup, "m_secondsLabel" );

    m_settingsGroupLayout->addWidget( m_secondsLabel, 1, 2 );

    m_browseButton = new QPushButton( m_settingsGroup, "m_browseButton" );

    m_settingsGroupLayout->addWidget( m_browseButton, 0, 2 );

    m_tuneInEdit = new QLineEdit( m_settingsGroup, "m_tuneInEdit" );

    m_settingsGroupLayout->addWidget( m_tuneInEdit, 2, 1 );

    m_timeEdit = new QLineEdit( m_settingsGroup, "m_timeEdit" );

    m_settingsGroupLayout->addWidget( m_timeEdit, 1, 1 );

    m_destEdit = new QLineEdit( m_settingsGroup, "m_destEdit" );

    m_settingsGroupLayout->addWidget( m_destEdit, 0, 1 );

    KStreamRipperBaseLayout->addMultiCellWidget( m_settingsGroup, 4, 4, 0, 1 );

    m_Details = new QGroupBox( this, "m_Details" );
    m_Details->setColumnLayout(0, Qt::Vertical );
    m_Details->layout()->setSpacing( 6 );
    m_Details->layout()->setMargin( 11 );
    m_DetailsLayout = new QGridLayout( m_Details->layout() );
    m_DetailsLayout->setAlignment( Qt::AlignTop );

    m_StreamDesc = new QLabel( m_Details, "m_StreamDesc" );

    m_DetailsLayout->addWidget( m_StreamDesc, 0, 0 );

    m_StreamURL = new QLabel( m_Details, "m_StreamURL" );

    m_DetailsLayout->addMultiCellWidget( m_StreamURL, 1, 2, 0, 1 );

    m_UrlEdit = new QLineEdit( m_Details, "m_UrlEdit" );
    m_UrlEdit->setEnabled( FALSE );
    m_UrlEdit->setReadOnly( TRUE );

    m_DetailsLayout->addWidget( m_UrlEdit, 2, 1 );

    m_DescriptionEdit = new QLineEdit( m_Details, "m_DescriptionEdit" );
    m_DescriptionEdit->setEnabled( FALSE );

    m_DetailsLayout->addWidget( m_DescriptionEdit, 0, 1 );

    KStreamRipperBaseLayout->addMultiCellWidget( m_Details, 2, 2, 0, 1 );
    languageChange();
    resize( QSize(749, 782).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KStreamRipperBase::~KStreamRipperBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KStreamRipperBase::languageChange()
{
    setCaption( tr2i18n( "KStreamRipper V. 0.3.4" ) );
    m_favoriteLabel->setText( tr2i18n( "Your Radio Streams:" ) );
    m_aboutButton->setText( tr2i18n( "About" ) );
    m_quitButton->setText( tr2i18n( "&Quit" ) );
    m_streamsGroup->setTitle( tr2i18n( "Stream Options" ) );
    m_addStreamButton->setText( tr2i18n( "&Add Stream" ) );
    m_addStreamButton->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    m_deleteStreamButton->setText( tr2i18n( "&Delete Stream" ) );
    m_deleteStreamButton->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    m_stopRipButton->setText( tr2i18n( "&Stop Rip" ) );
    m_stopRipButton->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    m_tuneInButton->setText( tr2i18n( "&Tune in" ) );
    m_tuneInButton->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    m_ripButton->setText( tr2i18n( "&Rip Stream" ) );
    m_ripButton->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    m_settingsGroup->setTitle( tr2i18n( "Settings" ) );
    m_pathLabel->setText( tr2i18n( "Destination:" ) );
    m_timeToRip->setText( tr2i18n( "Time to Rip:" ) );
    m_id3Label->setText( tr2i18n( "Add ID3 Tag:" ) );
    m_id3Checkbox->setText( QString::null );
    m_tuneInLabel->setText( tr2i18n( "Tune in Command:" ) );
    m_secondsLabel->setText( tr2i18n( "seconds" ) );
    m_browseButton->setText( tr2i18n( "...." ) );
    m_tuneInEdit->setText( tr2i18n( "xmms <url>" ) );
    m_timeEdit->setText( tr2i18n( "0" ) );
    m_destEdit->setText( tr2i18n( "Choose a directory" ) );
    m_Details->setTitle( tr2i18n( "Details" ) );
    m_StreamDesc->setText( tr2i18n( "Description:" ) );
    m_StreamURL->setText( tr2i18n( "URL:" ) );
}

#include "kstreamripperbase.moc"
